name: customer
description: A new Flutter application.

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.0.0+1

environment:
  sdk: ">=2.7.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  http: any
  shared_preferences: any
  location: ^2.3.5
  geolocator: ^5.3.1
  geocoder: ^0.2.1
  flutter_spinkit: "^4.1.2"
  google_place: ^0.3.0
  uuid: ^2.2.0
  socket_io_client: ^0.9.11
  socket_io_common: ^0.9.2
  flutter_animarker: ^0.1.1+1
  form_field_validator: ^1.0.1
  firebase_messaging: ^7.0.3
  flutter_easyloading: ^2.2.2
  scroll_to_index: ^1.0.6
  date_format: ^1.0.9
  flutter_google_places_autocomplete: any
  carousel_slider: ^3.0.0


  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^0.1.3
  badges: ^1.1.6
  flutter_local_notifications: ^3.0.2
  flutter_otp_text_field: ^0.0.1
  step_progress_indicator: ^0.2.5+8
  image_picker: ^0.6.7+12
  date_time_picker: "^1.1.1"
  fluttertoast: ^7.1.6
  search_page: ^1.4.0
  equatable: ^1.2.5
  async_loader: ^0.1.1
  connectivity: ^0.4.3+2
  loading: ^1.0.2
  flutter_svg: ^0.18.0
  dio: ^3.0.0
  responsive_widgets: ^2.0.0
  google_directions_api: ^0.5.0
  google_maps_webservice: ^0.0.14
  geoflutterfire: any
  flutter_map: any
  camera: ^0.5.6+3
  path_provider: ^1.4.2
  form_validator: ^0.1.7
  google_maps_flutter: ^0.5.28+1
  workmanager: ^0.2.3
  websocket_manager: ^0.2.2
  flutter_gifimage: ^1.0.1
  uiblock: ^2.0.1

#  flutter_polyline_points: ^0.1.0


  flutter_polyline_points: ^0.2.4
#  google_maps_flutter: ^0.5.21

dev_dependencies:
  flutter_test:
    sdk: flutter


# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - assets/delivery.png
    - assets/Group1.png
    - assets/tclogo.png
    - assets/appbar_background.png
    - assets/success.png
    - assets/delete.png
    - assets/otp_icon.png
    - assets/delivery1.png
    - assets/filter_icon.png
    - assets/add1.png
    - assets/ticket.png
    - assets/plus.png
    - assets/camera.png
    - assets/car.gif
    - assets/app.gif
    - assets/playstoreicon.png
    - assets/bike.png
    - assets/marker.png



  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # teamcomputers:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages